<?php

namespace App\Models;

use Database\Factories\BrandFactory;
use Eloquent;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Carbon;

/**
 * App\Models\Brand
 *
 * @property int $brand_id
 * @property Carbon|null $created_at
 * @property Carbon|null $updated_at
 * @property string $brand_name
 * @property string|null $brand_description
 * @method static BrandFactory factory($count = null, $state = [])
 * @method static Builder|Brand newModelQuery()
 * @method static Builder|Brand newQuery()
 * @method static Builder|Brand query()
 * @method static Builder|Brand whereBrandDescription($value)
 * @method static Builder|Brand whereBrandId($value)
 * @method static Builder|Brand whereBrandName($value)
 * @method static Builder|Brand whereCreatedAt($value)
 * @method static Builder|Brand whereUpdatedAt($value)
 * @mixin Eloquent
 */
class Brand extends Model
{
    use HasFactory;

    /**
     * @return int
     */
    public function getBrandId(): int
    {
        return $this->brand_id;
    }

    /**
     * @param int $brand_id
     *
     * @return Brand
     */
    public function setBrandId(int $brand_id): Brand
    {
        $this->brand_id = $brand_id;

        return $this;
    }

    /**
     * @return string
     */
    public function getBrandName(): string
    {
        return $this->brand_name;
    }

    /**
     * @param string $brand_name
     *
     * @return Brand
     */
    public function setBrandName(string $brand_name): Brand
    {
        $this->brand_name = $brand_name;

        return $this;
    }

    /**
     * @return string|null
     */
    public function getBrandDescription(): ?string
    {
        return $this->brand_description;
    }

    /**
     * @param string|null $brand_description
     *
     * @return Brand
     */
    public function setBrandDescription(?string $brand_description): Brand
    {
        $this->brand_description = $brand_description;

        return $this;
    }
}
