<?php

namespace App\Models;

use Database\Factories\FuelTypeFactory;
use Eloquent;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Carbon;

/**
 * App\Models\FuelType
 *
 * @property int $fuel_type_id
 * @property Carbon|null $created_at
 * @property Carbon|null $updated_at
 * @property string $fuel_type_name
 * @property string|null $fuel_type_description
 * @property float|null $fuel_type_price
 * @method static FuelTypeFactory factory($count = null, $state = [])
 * @method static Builder|FuelType newModelQuery()
 * @method static Builder|FuelType newQuery()
 * @method static Builder|FuelType query()
 * @method static Builder|FuelType whereCreatedAt($value)
 * @method static Builder|FuelType whereFuelTypeDescription($value)
 * @method static Builder|FuelType whereFuelTypeId($value)
 * @method static Builder|FuelType whereFuelTypeName($value)
 * @method static Builder|FuelType whereFuelTypePrice($value)
 * @method static Builder|FuelType whereUpdatedAt($value)
 * @mixin Eloquent
 */
class FuelType extends Model
{
    use HasFactory;

    /**
     * @return int
     */
    public function getFuelTypeId(): int
    {
        return $this->fuel_type_id;
    }

    /**
     * @param int $fuel_type_id
     *
     * @return FuelType
     */
    public function setFuelTypeId(int $fuel_type_id): FuelType
    {
        $this->fuel_type_id = $fuel_type_id;

        return $this;
    }

    /**
     * @return string
     */
    public function getFuelTypeName(): string
    {
        return $this->fuel_type_name;
    }

    /**
     * @param string $fuel_type_name
     *
     * @return FuelType
     */
    public function setFuelTypeName(string $fuel_type_name): FuelType
    {
        $this->fuel_type_name = $fuel_type_name;

        return $this;
    }

    /**
     * @return string|null
     */
    public function getFuelTypeDescription(): ?string
    {
        return $this->fuel_type_description;
    }

    /**
     * @param string|null $fuel_type_description
     *
     * @return FuelType
     */
    public function setFuelTypeDescription(?string $fuel_type_description): FuelType
    {
        $this->fuel_type_description = $fuel_type_description;

        return $this;
    }

    /**
     * @return float|null
     */
    public function getFuelTypePrice(): ?float
    {
        return $this->fuel_type_price;
    }

    /**
     * @param float|null $fuel_type_price
     *
     * @return FuelType
     */
    public function setFuelTypePrice(?float $fuel_type_price): FuelType
    {
        $this->fuel_type_price = $fuel_type_price;

        return $this;
    }
}
