<?php

namespace App\Models;

use Database\Factories\KeybindFactory;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Carbon;

/**
 * App\Models\Keybind
 *
 * @property int $keybind_id
 * @property Carbon|null $created_at
 * @property Carbon|null $updated_at
 * @property string $keybind_keys
 * @property string $keybind_description
 * @method static KeybindFactory factory($count = null, $state = [])
 * @method static Builder|Keybind newModelQuery()
 * @method static Builder|Keybind newQuery()
 * @method static Builder|Keybind query()
 * @method static Builder|Keybind whereCreatedAt($value)
 * @method static Builder|Keybind whereKeybindDescription($value)
 * @method static Builder|Keybind whereKeybindId($value)
 * @method static Builder|Keybind whereKeybindKeys($value)
 * @method static Builder|Keybind whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class Keybind extends Model
{
    use HasFactory;

    /**
     * @return int
     */
    public function getKeybindId(): int
    {
        return $this->keybind_id;
    }

    /**
     * @param int $keybind_id
     *
     * @return Keybind
     */
    public function setKeybindId(int $keybind_id): Keybind
    {
        $this->keybind_id = $keybind_id;

        return $this;
    }

    /**
     * @return string
     */
    public function getKeybindKeys(): string
    {
        return $this->keybind_keys;
    }

    /**
     * @param string $keybind_keys
     *
     * @return Keybind
     */
    public function setKeybindKeys(string $keybind_keys): Keybind
    {
        $this->keybind_keys = $keybind_keys;

        return $this;
    }

    /**
     * @return string
     */
    public function getKeybindDescription(): string
    {
        return $this->keybind_description;
    }

    /**
     * @param string $keybind_description
     *
     * @return Keybind
     */
    public function setKeybindDescription(string $keybind_description): Keybind
    {
        $this->keybind_description = $keybind_description;

        return $this;
    }
}
