<?php

namespace App\Models;

use Database\Factories\VehicleClassFactory;
use Eloquent;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Carbon;

/**
 * App\Models\VehicleClass
 *
 * @property int $vehicle_class_id
 * @property Carbon|null $created_at
 * @property Carbon|null $updated_at
 * @property string $vehicle_class_name
 * @property string|null $vehicle_class_description
 * @method static VehicleClassFactory factory($count = null, $state = [])
 * @method static Builder|VehicleClass newModelQuery()
 * @method static Builder|VehicleClass newQuery()
 * @method static Builder|VehicleClass query()
 * @method static Builder|VehicleClass whereCreatedAt($value)
 * @method static Builder|VehicleClass whereUpdatedAt($value)
 * @method static Builder|VehicleClass whereVehicleClassDescription($value)
 * @method static Builder|VehicleClass whereVehicleClassId($value)
 * @method static Builder|VehicleClass whereVehicleClassName($value)
 * @mixin Eloquent
 */
class VehicleClass extends Model
{
    use HasFactory;

    /**
     * @return int
     */
    public function getVehicleClassId(): int
    {
        return $this->vehicle_class_id;
    }

    /**
     * @param int $vehicle_class_id
     *
     * @return VehicleClass
     */
    public function setVehicleClassId(int $vehicle_class_id): VehicleClass
    {
        $this->vehicle_class_id = $vehicle_class_id;

        return $this;
    }

    /**
     * @return string
     */
    public function getVehicleClassName(): string
    {
        return $this->vehicle_class_name;
    }

    /**
     * @param string $vehicle_class_name
     *
     * @return VehicleClass
     */
    public function setVehicleClassName(string $vehicle_class_name): VehicleClass
    {
        $this->vehicle_class_name = $vehicle_class_name;

        return $this;
    }

    /**
     * @return string|null
     */
    public function getVehicleClassDescription(): ?string
    {
        return $this->vehicle_class_description;
    }

    /**
     * @param string|null $vehicle_class_description
     *
     * @return VehicleClass
     */
    public function setVehicleClassDescription(?string $vehicle_class_description): VehicleClass
    {
        $this->vehicle_class_description = $vehicle_class_description;

        return $this;
    }
}
