<?php

namespace App\Models;

use Database\Factories\VendorFactory;
use Eloquent;
use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Carbon;

/**
 * App\Models\Vendor
 *
 * @property int $vendor_id
 * @property Carbon|null $created_at
 * @property Carbon|null $updated_at
 * @property string $vendor_name
 * @property string|null $vendor_description
 * @property string|null $vendor_position
 * @property float|null $vendor_x
 * @property float|null $vendor_y
 * @method static VendorFactory factory($count = null, $state = [])
 * @method static Builder|Vendor newModelQuery()
 * @method static Builder|Vendor newQuery()
 * @method static Builder|Vendor query()
 * @method static Builder|Vendor whereCreatedAt($value)
 * @method static Builder|Vendor whereUpdatedAt($value)
 * @method static Builder|Vendor whereVendorDescription($value)
 * @method static Builder|Vendor whereVendorId($value)
 * @method static Builder|Vendor whereVendorName($value)
 * @method static Builder|Vendor whereVendorPosition($value)
 * @method static Builder|Vendor whereVendorX($value)
 * @method static Builder|Vendor whereVendorY($value)
 * @mixin Eloquent
 */
class Vendor extends Model
{
    use HasFactory;

    /**
     * @return int
     */
    public function getVendorId(): int
    {
        return $this->vendor_id;
    }

    /**
     * @param int $vendor_id
     *
     * @return Vendor
     */
    public function setVendorId(int $vendor_id): Vendor
    {
        $this->vendor_id = $vendor_id;

        return $this;
    }

    /**
     * @return string
     */
    public function getVendorName(): string
    {
        return $this->vendor_name;
    }

    /**
     * @param string $vendor_name
     *
     * @return Vendor
     */
    public function setVendorName(string $vendor_name): Vendor
    {
        $this->vendor_name = $vendor_name;

        return $this;
    }

    /**
     * @return string|null
     */
    public function getVendorDescription(): ?string
    {
        return $this->vendor_description;
    }

    /**
     * @param string|null $vendor_description
     *
     * @return Vendor
     */
    public function setVendorDescription(?string $vendor_description): Vendor
    {
        $this->vendor_description = $vendor_description;

        return $this;
    }

    /**
     * @return string|null
     */
    public function getVendorPosition(): ?string
    {
        return $this->vendor_position;
    }

    /**
     * @param string|null $vendor_position
     *
     * @return Vendor
     */
    public function setVendorPosition(?string $vendor_position): Vendor
    {
        $this->vendor_position = $vendor_position;

        return $this;
    }

    /**
     * @return float|null
     */
    public function getVendorX(): ?float
    {
        return $this->vendor_x;
    }

    /**
     * @param float|null $vendor_x
     *
     * @return Vendor
     */
    public function setVendorX(?float $vendor_x): Vendor
    {
        $this->vendor_x = $vendor_x;

        return $this;
    }

    /**
     * @return float|null
     */
    public function getVendorY(): ?float
    {
        return $this->vendor_y;
    }

    /**
     * @param float|null $vendor_y
     *
     * @return Vendor
     */
    public function setVendorY(?float $vendor_y): Vendor
    {
        $this->vendor_y = $vendor_y;

        return $this;
    }
}
