<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('brands', function (Blueprint $table) {
            $table->string('name')->unique()->change();
            $table->text('description')->nullable(true)->change();
        });

        Schema::table('fuel_types', function (Blueprint $table) {
            $table->string('name')->unique()->change();
            $table->text('description')->nullable(true)->change();
            $table->double('price')->nullable(true)->change();
        });

        Schema::table('vehicle_classes', function (Blueprint $table) {
            $table->string('name')->unique()->change();
            $table->text('description')->nullable(true)->change();
        });

        Schema::table('vendors', function (Blueprint $table) {
            $table->string('name')->unique()->change();
            $table->text('description')->nullable(true)->change();
            $table->string('position')->nullable(true)->change();
            $table->double('x')->nullable(true)->change();
            $table->double('y')->nullable(true)->change();
        });

        Schema::table('vehicles', function (Blueprint $table) {
            $table->string('image_path')->nullable(true)->change();
            $table->double('price')->nullable(true)->change();
            $table->double('top_speed')->nullable(true)->change();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        //
    }
};
