<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('vehicles', function (Blueprint $table) {
            $table->renameColumn('id', 'vehicle_id');
            $table->renameColumn('name', 'vehicle_name');
            $table->dropColumn('image_path');
            $table->renameColumn('storage', 'vehicle_storage');
            $table->renameColumn('fuel_volume', 'vehicle_fuel_volume');
            $table->renameColumn('seats', 'vehicle_seats');
            $table->renameColumn('price', 'vehicle_price');
            $table->renameColumn('top_speed', 'vehicle_top_speed');
        });

        Schema::table('vendors', function (Blueprint $table) {
            $table->renameColumn('id', 'vendor_id');
            $table->renameColumn('name', 'vendor_name');
            $table->renameColumn('description', 'vendor_description');
            $table->renameColumn('position', 'vendor_position');
            $table->renameColumn('x', 'vendor_x');
            $table->renameColumn('y', 'vendor_y');
        });

        Schema::table('brands', function (Blueprint $table) {
            $table->renameColumn('id', 'brand_id');
            $table->renameColumn('name', 'brand_name');
            $table->renameColumn('description', 'brand_description');
        });

        Schema::table('vehicle_classes', function (Blueprint $table) {
            $table->renameColumn('id', 'vehicle_class_id');
            $table->renameColumn('name', 'vehicle_class_name');
            $table->renameColumn('description', 'vehicle_class_description');
        });

        Schema::table('fuel_types', function (Blueprint $table) {
            $table->renameColumn('id', 'fuel_type_id');
            $table->renameColumn('name', 'fuel_type_name');
            $table->renameColumn('description', 'fuel_type_description');
            $table->renameColumn('price', 'fuel_type_price');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('vehicles', function (Blueprint $table) {
            $table->renameColumn('vehicle_id', 'id');
            $table->string('image_path')->nullable(true);
            $table->renameColumn('vehicle_storage', 'storage');
            $table->renameColumn('vehicle_fuel_volume', 'fuel_volume');
            $table->renameColumn('vehicle_seats', 'seats');
            $table->renameColumn('vehicle_price', 'price');
            $table->renameColumn('vehicle_top_speed', 'top_speed');
        });

        Schema::table('vendors', function (Blueprint $table) {
            $table->renameColumn('vendor_id', 'id');
            $table->renameColumn('vendor_name', 'name');
            $table->renameColumn('vendor_description', 'description');
            $table->renameColumn('vendor_position', 'position');
            $table->renameColumn('vendor_x', 'x');
            $table->renameColumn('vendor_y', 'y');
        });

        Schema::table('brands', function (Blueprint $table) {
            $table->renameColumn('brand_id', 'id');
            $table->renameColumn('brand_name', 'name');
            $table->renameColumn('brand_description', 'description');
        });

        Schema::table('vehicle_classes', function (Blueprint $table) {
            $table->renameColumn('vehicle_class_id', 'id');
            $table->renameColumn('vehicle_class_name', 'name');
            $table->renameColumn('vehicle_class_description', 'description');
        });

        Schema::table('fuel_types', function (Blueprint $table) {
            $table->renameColumn('fuel_type_id', 'id');
            $table->renameColumn('fuel_type_name', 'name');
            $table->renameColumn('fuel_type_description', 'description');
            $table->renameColumn('fuel_type_price', 'price');
        });
    }
};
